---
title: Patch a test suite
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Synthetics
---

# Patch a test suite{% #patch-a-test-suite %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                                                       |
| ----------------- | ---------------------------------------------------------------------------------- |
| ap1.datadoghq.com | PATCH https://api.ap1.datadoghq.com/api/v2/synthetics/suites/{public_id}/jsonpatch |
| ap2.datadoghq.com | PATCH https://api.ap2.datadoghq.com/api/v2/synthetics/suites/{public_id}/jsonpatch |
| app.datadoghq.eu  | PATCH https://api.datadoghq.eu/api/v2/synthetics/suites/{public_id}/jsonpatch      |
| app.ddog-gov.com  | PATCH https://api.ddog-gov.com/api/v2/synthetics/suites/{public_id}/jsonpatch      |
| us2.ddog-gov.com  | PATCH https://api.us2.ddog-gov.com/api/v2/synthetics/suites/{public_id}/jsonpatch  |
| app.datadoghq.com | PATCH https://api.datadoghq.com/api/v2/synthetics/suites/{public_id}/jsonpatch     |
| us3.datadoghq.com | PATCH https://api.us3.datadoghq.com/api/v2/synthetics/suites/{public_id}/jsonpatch |
| us5.datadoghq.com | PATCH https://api.us5.datadoghq.com/api/v2/synthetics/suites/{public_id}/jsonpatch |

### Overview



Patch a Synthetic test suite using JSON Patch (RFC 6902). Use partial updates to modify only specific fields of a test suite.

Common operations include:

- Replace field values: `{"op": "replace", "path": "/name", "value": "new_name"}`
- Add/update tags: `{"op": "add", "path": "/tags/-", "value": "new_tag"}`
- Remove fields: `{"op": "remove", "path": "/message"}`
This endpoint requires any of the following permissions:`synthetics_write``synthetics_create_edit_trigger` 
OAuth apps require the `synthetics_write` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#synthetics) to access this endpoint.



### Arguments

#### Path Parameters

| Name                        | Type   | Description                                         |
| --------------------------- | ------ | --------------------------------------------------- |
| public_id [*required*] | string | The public ID of the Synthetic test suite to patch. |

### Request

#### Body Data (required)

JSON Patch document with operations to apply.

{% tab title="Model" %}

| Parent field | Field                  | Type     | Description                                                                                                            |
| ------------ | ---------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------- |
|              | data [*required*] | object   | Data object for a JSON Patch request on a Synthetic test suite.                                                        |
| data         | attributes             | object   | Attributes for a JSON Patch request on a Synthetic test suite.                                                         |
| attributes   | json_patch             | [object] | JSON Patch operations following RFC 6902.                                                                              |
| json_patch   | op [*required*]   | enum     | The operation to perform. Allowed enum values: `add,remove,replace,move,copy,test`                                     |
| json_patch   | path [*required*] | string   | A JSON Pointer path (e.g., "/name", "/value/secure").                                                                  |
| json_patch   | value                  |          | The value to use for the operation (not applicable for "remove" and "test" operations).                                |
| data         | type                   | enum     | Type for a JSON Patch request on a Synthetic test suite, `suites_json_patch`. Allowed enum values: `suites_json_patch` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "json_patch": [
        {
          "op": "add",
          "path": "/name",
          "value": "undefined"
        }
      ]
    },
    "type": "suites_json_patch"
  }
}
```

{% /tab %}

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Synthetics suite response

| Parent field | Field                       | Type     | Description                                                                       |
| ------------ | --------------------------- | -------- | --------------------------------------------------------------------------------- |
|              | data                        | object   | Synthetics suite response data                                                    |
| data         | attributes                  | object   | Object containing details about a Synthetic suite.                                |
| attributes   | message                     | string   | Notification message associated with the suite.                                   |
| attributes   | monitor_id                  | int64    | The associated monitor ID.                                                        |
| attributes   | name [*required*]      | string   | Name of the suite.                                                                |
| attributes   | options [*required*]   | object   | Object describing the extra options for a Synthetic suite.                        |
| options      | alerting_threshold          | double   | Percentage of critical tests failure needed for a suite to fail.                  |
| attributes   | public_id                   | string   | The public ID for the test.                                                       |
| attributes   | tags                        | [string] | Array of tags attached to the suite.                                              |
| attributes   | tests [*required*]     | [object] | Array of Synthetic tests included in the suite.                                   |
| tests        | alerting_criticality        | enum     | Alerting criticality for each the test. Allowed enum values: `ignore,critical`    |
| tests        | public_id [*required*] | string   | The public ID of the Synthetic test included in the suite.                        |
| attributes   | type [*required*]      | enum     | Type of the Synthetic suite, `suite`. Allowed enum values: `suite`                |
| data         | id                          | string   | The public ID for the suite.                                                      |
| data         | type                        | enum     | Type for the Synthetics suites responses, `suites`. Allowed enum values: `suites` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "message": "Notification message",
      "monitor_id": 12345678,
      "name": "Example suite name",
      "options": {
        "alerting_threshold": "number"
      },
      "public_id": "123-abc-456",
      "tags": [
        "env:production"
      ],
      "tests": [
        {
          "alerting_criticality": "critical",
          "public_id": ""
        }
      ],
      "type": "suite"
    },
    "id": "123-abc-456",
    "type": "suites"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
API error response.
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \## default
# 
 \# Path parameters export public_id="123-abc-456" \# Curl command curl -X PATCH "https://api.datadoghq.com/api/v2/synthetics/suites/${public_id}/jsonpatch" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "json_patch": [
        {
          "op": "add",
          "path": "/name"
        }
      ]
    },
    "type": "suites_json_patch"
  }
}
EOF 
                
##### 

```python
"""
Patch a test suite returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.synthetics_api import SyntheticsApi
from datadog_api_client.v2.model.json_patch_operation import JsonPatchOperation
from datadog_api_client.v2.model.json_patch_operation_op import JsonPatchOperationOp
from datadog_api_client.v2.model.suite_json_patch_request import SuiteJsonPatchRequest
from datadog_api_client.v2.model.suite_json_patch_request_data import SuiteJsonPatchRequestData
from datadog_api_client.v2.model.suite_json_patch_request_data_attributes import SuiteJsonPatchRequestDataAttributes
from datadog_api_client.v2.model.suite_json_patch_type import SuiteJsonPatchType

body = SuiteJsonPatchRequest(
    data=SuiteJsonPatchRequestData(
        attributes=SuiteJsonPatchRequestDataAttributes(
            json_patch=[
                JsonPatchOperation(
                    op=JsonPatchOperationOp.ADD,
                    path="/name",
                ),
            ],
        ),
        type=SuiteJsonPatchType.SUITES_JSON_PATCH,
    ),
)

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = SyntheticsApi(api_client)
    response = api_instance.patch_test_suite(public_id="123-abc-456", body=body)

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
##### 

```ruby
# Patch a test suite returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::SyntheticsAPI.new

body = DatadogAPIClient::V2::SuiteJsonPatchRequest.new({
  data: DatadogAPIClient::V2::SuiteJsonPatchRequestData.new({
    attributes: DatadogAPIClient::V2::SuiteJsonPatchRequestDataAttributes.new({
      json_patch: [
        DatadogAPIClient::V2::JsonPatchOperation.new({
          op: DatadogAPIClient::V2::JsonPatchOperationOp::ADD,
          path: "/name",
        }),
      ],
    }),
    type: DatadogAPIClient::V2::SuiteJsonPatchType::SUITES_JSON_PATCH,
  }),
})
p api_instance.patch_test_suite("123-abc-456", body)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
##### 

```go
// Patch a test suite returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	body := datadogV2.SuiteJsonPatchRequest{
		Data: datadogV2.SuiteJsonPatchRequestData{
			Attributes: &datadogV2.SuiteJsonPatchRequestDataAttributes{
				JsonPatch: []datadogV2.JsonPatchOperation{
					{
						Op:   datadogV2.JSONPATCHOPERATIONOP_ADD,
						Path: "/name",
					},
				},
			},
			Type: datadogV2.SUITEJSONPATCHTYPE_SUITES_JSON_PATCH.Ptr(),
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewSyntheticsApi(apiClient)
	resp, r, err := api.PatchTestSuite(ctx, "123-abc-456", body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `SyntheticsApi.PatchTestSuite`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `SyntheticsApi.PatchTestSuite`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
##### 

```java
// Patch a test suite returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.SyntheticsApi;
import com.datadog.api.client.v2.model.JsonPatchOperation;
import com.datadog.api.client.v2.model.JsonPatchOperationOp;
import com.datadog.api.client.v2.model.SuiteJsonPatchRequest;
import com.datadog.api.client.v2.model.SuiteJsonPatchRequestData;
import com.datadog.api.client.v2.model.SuiteJsonPatchRequestDataAttributes;
import com.datadog.api.client.v2.model.SuiteJsonPatchType;
import com.datadog.api.client.v2.model.SyntheticsSuiteResponse;
import java.util.Collections;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    SyntheticsApi apiInstance = new SyntheticsApi(defaultClient);

    SuiteJsonPatchRequest body =
        new SuiteJsonPatchRequest()
            .data(
                new SuiteJsonPatchRequestData()
                    .attributes(
                        new SuiteJsonPatchRequestDataAttributes()
                            .jsonPatch(
                                Collections.singletonList(
                                    new JsonPatchOperation()
                                        .op(JsonPatchOperationOp.ADD)
                                        .path("/name"))))
                    .type(SuiteJsonPatchType.SUITES_JSON_PATCH));

    try {
      SyntheticsSuiteResponse result = apiInstance.patchTestSuite("123-abc-456", body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling SyntheticsApi#patchTestSuite");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
##### 

```rust
// Patch a test suite returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_synthetics::SyntheticsAPI;
use datadog_api_client::datadogV2::model::JsonPatchOperation;
use datadog_api_client::datadogV2::model::JsonPatchOperationOp;
use datadog_api_client::datadogV2::model::SuiteJsonPatchRequest;
use datadog_api_client::datadogV2::model::SuiteJsonPatchRequestData;
use datadog_api_client::datadogV2::model::SuiteJsonPatchRequestDataAttributes;
use datadog_api_client::datadogV2::model::SuiteJsonPatchType;

#[tokio::main]
async fn main() {
    let body = SuiteJsonPatchRequest::new(
        SuiteJsonPatchRequestData::new()
            .attributes(SuiteJsonPatchRequestDataAttributes::new().json_patch(vec![
                JsonPatchOperation::new(JsonPatchOperationOp::ADD, "/name".to_string()),
            ]))
            .type_(SuiteJsonPatchType::SUITES_JSON_PATCH),
    );
    let configuration = datadog::Configuration::new();
    let api = SyntheticsAPI::with_config(configuration);
    let resp = api.patch_test_suite("123-abc-456".to_string(), body).await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
##### 

```typescript
/**
 * Patch a test suite returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.SyntheticsApi(configuration);

const params: v2.SyntheticsApiPatchTestSuiteRequest = {
  body: {
    data: {
      attributes: {
        jsonPatch: [
          {
            op: "add",
            path: "/name",
          },
        ],
      },
      type: "suites_json_patch",
    },
  },
  publicId: "123-abc-456",
};

apiInstance
  .patchTestSuite(params)
  .then((data: v2.SyntheticsSuiteResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"
{% /tab %}
